No announcement yet.

X Window System Version (1.3.0 RC 2) & ATI 8.35.5 --> X version mismatch?

  • Filter
  • Time
  • Show
Clear All
new posts

  • X Window System Version (1.3.0 RC 2) & ATI 8.35.5 --> X version mismatch?

    Hi allz,

    I just installed the new ATI 8.35.5 driver with Fedora/F7. --buildpkg Fedora/F7 went smoothly and the appropriate rpms have all been built and installed properly.
    My prob is now that atiddxSetup detects a wrong X-Window Version during X-Window start.

    Here is the corresponding Xorg.0.log:

    >(II) Loading /usr/lib/xorg/modules/drivers//
    >(II) Module fglrx: vendor="FireGL - ATI Technologies Inc."
    > compiled for 7.1.0, module version = 8.35.5
    > Module class: X.Org Video Driver
    ABI class: X.Org Video Driver, version 1.0
    >[atiddxSetup] X version mismatch - detected 1.3.-1.902, required >
    >(II) UnloadModule: "fglrx" fglrx fails to load because of a x version mismatch...

    Anybody here with similiar problems and maybe even a solution? ;-)
    Should I install another X-version? 7.1? How do I get it? (yum install ... ?)

    Any hint is highly appreciated..

    thx in advance!

  • #2

    you should degrade to 7.2 at best. (that version works for me). i haven't used fedora even once so i have no idea.

    by the way ... it says "compiled for 7.1.0". it appears that is not that much different from 7.1, since it can use driver built for previous version.

    does is mean that adding 7.2 support to fglrx was as simple as doing a one-line modification in version checker in fglrx source code? :]